> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Credential

> Revoke a verifiable credential by the credential ID. 
This involves burning the associated nft.

This ID will have the format: `urn:uuid:<UUID>`. For example: `urn:uuid:64f9877d-a19a-4205-8d61-f8c2abed5766`

**API scope required** `credentials.create`.


<Snippet file="alpha-api-note.mdx" />


## OpenAPI

````yaml DELETE /v1-alpha1/credentials/{id}
openapi: 3.0.1
info:
  description: N/A
  version: 1.0.0
  title: Verifiable Credentials
  contact:
    name: Crossmint Verifiable Credentials APIs
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
  - url: https://www.crossmint.com/api
    description: Production environment (mainnets)
security:
  - apiKey: []
paths:
  /v1-alpha1/credentials/{id}:
    delete:
      tags:
        - Verifiable Credentials
      summary: Revoke Credential
      description: >
        Revoke a verifiable credential by the credential ID. 

        This involves burning the associated nft.


        This ID will have the format: `urn:uuid:<UUID>`. For example:
        `urn:uuid:64f9877d-a19a-4205-8d61-f8c2abed5766`


        **API scope required** `credentials.create`.
      operationId: revoke-credential
      parameters:
        - name: id
          in: path
          description: >
            Unique ID of the credential as returned in the NFT creation
            response. Format is: `urn:uuid:<UUID>`
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BurnNFTResponse'
        '403':
          description: Forbidden
        '404':
          description: Credential not found
        '503':
          description: >-
            Please try again in a few minutes. If the issue still persists,
            contact Crossmint support.
components:
  schemas:
    BurnNFTResponse:
      type: object
      properties:
        actionId:
          type: string
          description: >
            Can be used to check the status via the [action status
            API](/api-reference/common/get-action-status)
          example: 201520fc-e0eb-4698-a2f3-c6b50cc7c894
        action:
          type: string
          description: The action performed, in this case `nfts.delete`
          example: nfts.delete
        status:
          type: string
          description: >-
            Current status of the async operation. One of `pending` or
            `succeeded`
          example: pending OR succeeded
        data:
          type: object
          properties:
            chain:
              type: string
              description: >-
                Refer to the [supported chains](/introduction/supported-chains)
                page for more info
              example: polygon
            txId:
              type: string
              description: |
                The onchain transaction ID related to the request. 

                This is only present when status is `succeeded`
              example: >-
                succeeded status ONLY -
                0x69cf6d971e6745f25f683db9c87663839be02bdaa4a70f0724f490d7335b0081
            collection:
              type: object
              properties:
                id:
                  type: string
                  description: >-
                    The Crossmint identifier for the collection. Either a UUID
                    or custom string depending on how you create the collection.
                  example: default-polygon
                contractAddress:
                  type: string
                  description: The onchain contract address for the given collection.
                  example: '0x67a602CBb306b3DBaaC7ECf55b72EED0E04Dc785'
            token:
              type: object
              properties:
                id:
                  type: string
                  description: The Crossmint identifier for the NFT. This will be a UUID.
                  example: 799a6f68-e2ea-4126-8577-4298dfcf900c
                tokenId:
                  type: string
                  description: The numeric tokenId of the NFT in the contract.
                  example: '7'
        startedAt:
          type: string
          format: date-time
          description: The time this operation was initiated in UTC.
          example: '2024-01-10T23:01:45.000Z'
        completedAt:
          type: string
          format: date-time
          description: |
            The time this operation completed in UTC.

            This is only present when `status` is `succeeded`
          example: succeeded status ONLY - 2024-01-10T23:02:00.000Z
        resource:
          type: string
          description: >-
            The URL path to obtain current status with [action status
            api](/api-reference/common/get-action-status)
          example: >-
            https://staging.crossmint.com/api/2022-06-09/collections/default-polygon/nfts/201520fc-e0eb-4698-a2f3-c6b50cc7c894
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Key obtained from the Crossmint developer console, reflecting the API
        scope granted.

````